package org.josast.ApplicationSatelliteDatabaseCli.cmd;

import org.apache.commons.cli.Options;

public class ParameterSingleton {

    /**
     * INSTANCE singleton.
     */
    private static ParameterSingleton INSTANCE;
    /**
     * OutputFile.
     */
    private String outputFile;
    /**
     * InputFile.
     */
    private String inputFile;
    /**
     * inputDirectory.
     */
    private String inputDirectory;
    /**
     * outputDirectory.
     */
    private String outputDirectory;

    /**
     * arg0.
     */
    private String arg0;
    /**
     * option.
     */
    private Options option;

    private ParameterSingleton() {
    }

    /**
     * @return singleton.
     */
    public static ParameterSingleton getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new ParameterSingleton();
        }

        return INSTANCE;
    }

    // getters and setters

    /**
     * @return outputFile.
     */
    public String getOutputFile() {
        return outputFile;
    }

    /**
     * @return inputDirectory.
     */
    public String getInputDirectory() {
        return inputDirectory;
    }

    /**
     * @param inputdirectory
     */
    public void setInputDirectory(final String inputdirectory) {
        this.inputDirectory = inputdirectory;
    }

    /**
     * @return outputDirectory.
     */
    public String getOutputDirectory() {
        return outputDirectory;
    }

    /**
     * @param outputdirectory
     */
    public void setOutputDirectory(final String outputdirectory) {
        this.outputDirectory = outputdirectory;
    }

    /**
     * @param outputfile
     */
    public void setOutputFile(final String outputfile) {
        outputFile = outputfile;
    }

    /**
     * @return arg0.
     */
    public String getArg0() {
        return arg0;
    }

    /**
     * @param arg
     */
    public void setArg0(final String arg) {
        this.arg0 = arg;
    }

    /**
     * @return option.
     */
    public Options getOption() {
        return option;
    }

    /**
     * @param options
     */
    public void setOption(final Options options) {
        this.option = options;
    }

    /**
     * @param optionValue.
     */
    public void setInputFile(final String optionValue) {
        inputFile = optionValue;

    }

    /**
     * @return inputFile.
     */
    public String getInputFile() {
        return inputFile;
    }

}
